#
# $Id: design-bootsplash-Compact.spec,v 1.5 2005/05/14 08:50:51 rider Exp $ 
#

%define theme school-server
%define Theme school-server

Name: design-bootsplash-%theme
Version: 4.1.0
Release: alt0.M41.0
Packager: Alexandra Panyukova <mex3@altlinux.ru>

Summary: Theme for splash animations during bootup
Summary(ru_RU.UTF-8): Тема для отображения графики в процессе загрузки
License: Distributable
Group: Graphics
Provides: design-bootsplash
Provides: design-bootsplash-%Theme = %version-%release
Requires: bootsplash >= 3.3

BuildArch: noarch
# Theme file
Source0: %name-%version.tar

%description
This package contains graphics for boot process
(needs console splash screen enabled)

%prep
%setup -q

%build

%install
# create directory structure
mkdir -p $RPM_BUILD_ROOT/%_sysconfdir/bootsplash/themes/
cp -a *	$RPM_BUILD_ROOT%_sysconfdir/bootsplash/themes/

pushd $RPM_BUILD_ROOT%_sysconfdir/bootsplash/themes/%theme/config
#for i in 1 2 3 4 5 11; do \
for i in 1; do \
 for f in bootsplash-*.cfg; do \
    res=`echo "$f"| sed 's|.*\-\(.*\)\.cfg|\1|'`
    ln -s $f vt${i}-${res}.cfg
 done
done
popd

# create current bootloader themes
%post
%__ln_s -nf %theme %_sysconfdir/bootsplash/themes/current

%preun
[ $1 = 0 ] || exit 0
[ "`readlink %_sysconfdir/bootsplash/themes/current`" != %theme ] ||
    %__rm -f %_sysconfdir/bootsplash/themes/current

%files
%_sysconfdir/bootsplash/themes/%theme/

%changelog
* Fri Nov 14 2008 Alexandra Panyukova <mex3@altlinux.ru> 4.1.0-alt0.M41.0
- build for M41

* Fri Jul 04 2008 Alexandra Panyukova <mex3@altlinux.ru> 4.0.0-alt0.M40.0
- build for M40
- Graphics changed for school-server (based on design-bootsplash-office-server-4.0.0-alt0.M40.1
